# Stockr
<p><img width="250" src="https://camo.githubusercontent.com/408aec364a32a24cbce1f326313f7ebac34cc06b/68747470733a2f2f6172617361746173617967696e2e6769746875622e696f2f6f70656e6c6f676f732f6c6f676f732f73746570732e6a7067"/></p>
<p align="center">
  <a href="https://circleci.com/gh/vuejs/vue/tree/dev"><img src="https://img.shields.io/circleci/project/vuejs/vue/dev.svg" alt="Build Status"></a>
  <a href="https://codecov.io/github/vuejs/vue?branch=dev"><img src="https://img.shields.io/codecov/c/github/vuejs/vue/dev.svg" alt="Coverage Status"></a>
  <a href=""><img src="https://img.shields.io/npm/dm/vue.svg" alt="Downloads"></a>
  <a href=""><img src="https://img.shields.io/npm/v/vue.svg" alt="Version"></a>
  <a href=""><img src="https://img.shields.io/npm/l/vue.svg" alt="License"></a>
  <a href=""><img src="https://img.shields.io/badge/chat-on%20discord-7289da.svg" alt="Chat"></a>
</p>

Stockr (pronounced `/ˈstôkər/`, like stalker), is a data-driven platform utilizing natural language processing regression techniques to model predictive and historical indicators on stock valuation in real time. 

![c](https://images.unsplash.com/photo-1460925895917-afdab827c52f?ixlib=rb-0.3.5&s=d8791fe0f9f4e735158400f9daf6a558&auto=format&fit=crop&w=1602&q=80)

### Data aggregation

At Stockr, our primary analytics consist of leveraging public consumer media and deriving a baseline score from syntactic structures to process semantic analysis. Our main focus is to provide value and help create strategic decisions to potential investors based on our data aggregation and analytics.

### Application Communication Diagram

```
                                                            +-----------------------------------------------------------+
        +-----------------+                                 |                                                           |
        |                 |                                 |                         Server                            |
        | User Schema     |          +----------------+     |                                                           |
        |                 +---------->                +-----> Data Capturing    Processing Pipeline   Data Processing   |
        | Semantic Schema |          | MySQL Database |     |                                                           |
        |                 <----------+                <-----+ Web Crawler       Queue Monitor         Semantic Analysis |
        | Scoring Schema  |          +----------------+     |                                                           |
        |                 |                                 |                   Data Store                              |
        +-----------------+                                 |                                                           |
                                                            +------------------------+--------^-------------------------+
                                                                                     |        |
                                                                                     |        |
                                                                                     |        |
                                                                                     |        |
                                                                               +-----v--------+-----+
                                                                               |                    |
                                                                               | Application View   |
                                                                               |                    |
                                                                               | Data Visualization |
                                                                               |                    |
                                                                               +--------------------+

```

### Technology Stack

Stockr implements bleeding-edge technology to serve and deliver content as nimble as possible. By leveraging modern tools available in the Java ecosystem, we have created an infrastructure that is fast, efficient, light, and secure. We have chosen a streamlined approach to scaling our architecture horizontally by effectuating resources available within our current cloud architecture.

Our client-side architecture consists of:
- React.js
- SCSS
- HTML5
- Webpack
- Babel
- ES6(+)

Our server-side architecture consists of:
- Java
- Spring Boot
- Go
- Tomcat with embedded H2
- Amazon Linux EC2


### 3rd Party API Services

[Alpha Vantage](https://www.alphavantage.co/) - Realtime and historical equity data.  
[News](https://newsapi.org/) - Live reports of consumer media and real time updates on current trending topics.  
[Parallel Dots](https://www.paralleldots.com/) - AI + ML + NLP analysis and processing computations.

##### SEC Compliance

These securities have not been approved or disapproved by the SEC nor have any representations been made about the accuracy of the adequacy of the information. Stockr makes no representations or warranties regarding the advisability of investing in any product or service offered by any 3rd party integration service. Stockr has no obligation or liability in connection with the operation, marketing, trading or sale of any product or service offered by any 3rd party integration service.