import { Component, OnInit } from '@angular/core';

declare const google;

@Component({
	selector: 'app-score',
	templateUrl: './score.component.html',
	styleUrls: ['./score.component.css', '../home.component.css']
})

export class ScoreComponent implements OnInit {

	constructor() { }

	ngOnInit() {
		google.charts.load('current', {packages: ['corechart']});
		google.charts.setOnLoadCallback(() => {
			this.drawChart();
		});
	}

	drawChart() {
		const data = google.visualization.arrayToDataTable([
			['Emotion', 'Percentage'],
			['Positive', 66],
			['Neutral', 20],
			['Negative', 14]
		]);

		const options = {
			legend: {
				position: 'bottom',
				textStyle: {
					color: '#a8a9b2',
					fontName: 'inherit',
					fontSize: 12
				}
			},
			pieHole: 0.9,
			pieSliceBorderColor: 'transparent',
			pieSliceText: 'none',
			slices: {
				2: {
					textStyle: {
						color: 'black'
					}
				}
			},
			reverseCategories: true,
			chartArea: {
				left: 0,
				top: 0,
				width: '100%',
				height: '90%',
			},
			colors: ['#7630C9', '#FFBF8D', '#CE74C6'],
			backgroundColor: 'transparent',
		};

		const chart = new google.visualization.PieChart(document.getElementById('donut_chart'));
		chart.draw(data, options);
	}

}
