import { Component, OnInit } from '@angular/core';
import { NewsService } from '../news.service';
import { SearchService } from '../search.service';

@Component({
	selector: 'app-news',
	templateUrl: './news.component.html',
	styleUrls: ['./news.component.css']
})

export class NewsComponent implements OnInit {
	news: any;

	constructor(
		private newsService: NewsService,
		private searchService: SearchService
	) { }

	ngOnInit() {
		this.searchService.currentQuery.subscribe(query => {
			if (query) {
				this.getNews(query);
			}
		});
	}

	getNews(query) {
		this.newsService.getNews(query)
			.subscribe(articles => this.news = articles);
	}
}
