package com.stockr.server.news;

import org.springframework.boot.web.client.RestTemplateBuilder;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.ArrayList;


@Service
public class NewsService {
    // TODO - hide key(?)
    private final String key = "471b872d96ca40c4a1d0f21de4bb061e";
    private final RestTemplate rt;
    private HttpEntity entity;


    public NewsService(RestTemplateBuilder rtb) {
        initHeaders();
        rt = rtb.build();
    }

    private void initHeaders() {
        HttpHeaders headers = new HttpHeaders();
        headers.set("X-Api-Key", key);
        entity = new HttpEntity(headers);
    }

    News getNews(String query) {
        ResponseEntity<News> re = rt.exchange(
                insertQueryInUrl(query),
                HttpMethod.GET,
                entity,
                News.class
        );
        News n = re.getBody();
        return n;
    }

    public ArrayList<Article> getAllArticles(String query) {
        return getNews(query)
                .getArticles();
    }

    String insertQueryInUrl(String query) {
        return  "https://newsapi.org/v2/everything?q=" + query +
                "&language=en" +
                "&sources=bloomberg,business-insider,cnbc,the-wall-street-journal" +
                "&pageSize=25";
    }
}
