package com.stockr.server.news;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.Test;
import org.springframework.boot.web.client.RestTemplateBuilder;

import java.io.IOException;
import java.util.List;

import static org.junit.Assert.*;

public class ArticleTest {
    @Test
    public void unpackSource_ShouldGetNestedValues() throws IOException {
        ObjectMapper om = new ObjectMapper();
        String JSON = "{\"source\":" +
                        " {\"id\": \"ID\"," +
                        " \"name\": \"NAME\"}" +
                      "}";

        Article a = om.readValue(JSON, Article.class);
        assertEquals("ID", a.getSourceId());
        assertEquals("NAME", a.getSourceName());
    }

    @Test
    public void sentiment_ShouldBeNull() throws IOException {
        NewsService ns = new NewsService(new RestTemplateBuilder());
        List<Article> n = ns.getAllArticles("tesla");
        assertNull(n.get(0).getSentiment());
    }
}