package com.stockr.server.stocks;

import org.junit.Assert;
import org.junit.Test;
import pl.zankowski.iextrading4j.api.stocks.Quote;
import pl.zankowski.iextrading4j.client.IEXTradingClient;
import pl.zankowski.iextrading4j.client.rest.request.stocks.ListRequestBuilder;
import pl.zankowski.iextrading4j.client.rest.request.stocks.ListType;

import java.util.List;

import static org.junit.Assert.*;

public class GainerTest {
    @Test
    public void constructor_ShouldFillInFields_GivenQuote() {
        IEXTradingClient iex = IEXTradingClient.create();
        List<Quote> quotes = iex.executeRequest(new ListRequestBuilder()
                .withListType(ListType.GAINERS)
                .build());

        Gainer gainer = new Gainer(quotes.get(0));

        assertNotNull(gainer.getCompanyName());
        assertNotNull(gainer.getChangePercent());
        assertNotNull(gainer.getClose());
        assertNotNull(gainer.getSymbol());
    }
}