package com.stockr.server.stocks;

import org.junit.Test;
import pl.zankowski.iextrading4j.api.stocks.BatchStocks;
import pl.zankowski.iextrading4j.client.IEXTradingClient;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksRequestBuilder;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksType;

import java.io.IOException;

import static org.junit.Assert.*;

public class StocksTest {
    @Test
    public void constructor_ShouldFillFields_GivenBatchStocks() {
        // TODO mock this...
        IEXTradingClient iex = IEXTradingClient.create();
        BatchStocks bs = iex.executeRequest(new BatchStocksRequestBuilder()
                .withSymbol("AAPL")
                .addType(BatchStocksType.NEWS)
                .addType(BatchStocksType.COMPANY)
                .addType(BatchStocksType.QUOTE)
                .addType(BatchStocksType.CHART)
                .build());

        Stocks s = new Stocks(bs);
        assertNotNull(s.getChart());
        assertNotNull(s.getCompany());
        assertNotNull(s.getQuote());
        assertNotNull(s.getNews());
    }

    @Test
    public void objectMapper_ShouldMapJson() throws IOException {
        IEXTradingClient iex = IEXTradingClient.create();
        BatchStocks bs = iex.executeRequest(new BatchStocksRequestBuilder()
                .withSymbol("AAPL")
                .addType(BatchStocksType.NEWS)
                .addType(BatchStocksType.COMPANY)
                .addType(BatchStocksType.QUOTE)
                .addType(BatchStocksType.CHART)
                .build());

        Stocks s = new Stocks();
        s.setChart(bs.getChart());
        s.setCompany(bs.getCompany());
        s.setQuote(bs.getQuote());
        s.setNews(bs.getNews());
        assertNotNull(s.getChart());
        assertNotNull(s.getCompany());
        assertNotNull(s.getQuote());
        assertNotNull(s.getNews());
    }
}